none
Installing Tools for Apache Cordova for Visual Studio 2013 -CTP3 RRS feed

  • Question

  • Hello there,

    I've been fighting with my computer for the pass 4 days. I enrolled on MVA "Know it, Prove it" and started with the Web development challenge. On the first video the show you how to work with JavaScript to create and play HTML - in the developing of websites- GREAT Thing to learn!, I though at first.

    I went to my visual studio and tried to open the option - so I can visualize what exactly they were talking about - and the first thing I saw is a message that reads "Install Tools for Apache Cordova" I click on it and followed the link, downloaded the file and installed it.

    Went I tried to run it another message appear and reads " You must install Windows Management Framework 3.0" again, I followed the link and downloaded it, but went I tried to run it, it said there was a new version and I should install it, the version is Framework 4.0. So I followed the link downloaded and installed it, restarted my computer and open my visual studio, but the same message appears again. again and again.

    I installed all the Windows Framework updates available for my computers, 
    I un-installed and installed a new version of my Visual Studio but it nether solved my problem.

    I have followed every single recommendation on the different forums, but the problems is still there. By now, I'm just desperate and don't know what else to do.

    I will appreciate any help you guys can provide me.

    I currently run Windows 7 service Pack 1 Home Premium (2009).
    Visual Studio Professional 2013 update 3 (I previously was running the 2012 version, which show me exactly the same problems)

     

     
    Monday, January 26, 2015 7:56 PM

Answers

  • Hello,

    Well, here is the requirements for installing CTP 3 :

      Other Requirements:
      • Visual Studio 2013 Update 4, with the following features installed: "Tools for Maintaining Store apps for Windows 8" and "Windows Phone 8.0 SDK".
        • Note: Before installing Visual Studio 2013 Update 4, you must uninstall Multi-Device Hybrid Apps for Visual Studio 2013 CTP2.0, if you have that installed.
      • For the Windows Phone emulators, Windows 8.1 (x64) Professional edition or higher, and a processor that supports Client Hyper-V and Second Level Address Translation (SLAT).
      • For the Android emulator, a processor capable of supporting the Intel HAXM driver is recommended.
      • For iOS app development, an Apple Mac capable of running OSX Mavericks and Xcode 6.1, and an active iOS Developer Program account.

    Please check that you have the whole version of the .NET Framework : 3.5.1 and 4.0 (the runtime is differente between these two version, so the 4.0 is not valid for using the runtime used in 3.0).

    Regards


    Kevin BEAUGRAND, Modis FRANCE
    Merci de bien vouloir "Marquer comme réponse", les réponses qui ont résolu votre problème.

    • Proposed as answer by pvdg42 Monday, January 26, 2015 10:44 PM
    • Marked as answer by GioLopera Wednesday, January 28, 2015 1:37 PM
    Monday, January 26, 2015 8:02 PM